Skip to main content
PATCH
/
dev
/
v1
/
products
/
{id}
/
variants
/
fields
/
{fieldId}
/
options
/
{optionId}
Update product field option
curl --request PATCH \
  --url https://api.shoppex.io/dev/v1/products/{id}/variants/fields/{fieldId}/options/{optionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Europe Updated"
}
'
{
  "data": {
    "id": "option_1",
    "label": "Europe Updated",
    "value": "eu",
    "sort_order": 2,
    "created_at": 1711953600,
    "updated_at": 1711953900
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required
fieldId
string
required
optionId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response

data
object